uk.gov.hmrc.play.bootstrap.filters.frontend.deviceid

# DeviceIdFilter

###
Related Doc: package deviceid

#### trait DeviceIdFilter extends Filter with DeviceIdCookie

Linear Supertypes
DeviceIdCookie, Filter, EssentialFilter, AnyRef, Any
Known Subclasses
DefaultDeviceIdFilter
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeviceIdFilter
2. DeviceIdCookie
3. Filter
4. EssentialFilter
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def appName: String

   Attributes
     protected

2. #### abstract def auditConnector: AuditConnector

   Attributes
     protected

3. #### implicit abstract def ec: ExecutionContext

   Attributes
     protected

4. #### implicit abstract def mat: Materializer

   Definition Classes
     Filter

5. #### abstract val previousSecrets: Seq[String]

   Definition Classes
     DeviceIdCookie

6. #### abstract val secret: String

   Definition Classes
     DeviceIdCookie

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(next: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]

   Definition Classes
     DeviceIdFilter → Filter

5. #### def apply(next: EssentialAction): EssentialAction

   Definition Classes
     Filter → EssentialFilter

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def asJava: EssentialFilter

   Definition Classes
     EssentialFilter

8. #### def buildNewDeviceIdCookie(): Cookie

   Definition Classes
     DeviceIdCookie

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def generateDeviceId(uuid: String = generateUUID): DeviceId

    Definition Classes
      DeviceIdCookie

14. #### def generateUUID: String

    Definition Classes
      DeviceIdCookie

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getTimeStamp: Long

    Definition Classes
      DeviceIdCookie

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def makeCookie(deviceId: DeviceId): Cookie

    Definition Classes
      DeviceIdCookie

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from DeviceIdCookie

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped